%define name radiotray
%define version 0.7.3
%define release %mkrel 2

Summary:        Radio streaming player that runs in the system tray
Summary(de):	Streamplayer für Internetradios, der im Systeminfobereich läuft.
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Sound
License:        GPL
URL:            http://radiotray.sourceforge.net/
Source:         http://sourceforge.net/projects/radiotray/%{name}-%{version}.tar.xz
Source1:	config.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#---------------------------------------------
BuildRequires:	%{_lib}python-devel
BuildRequires:	pyxdg
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	python-gobject-devel
BuildRequires:	pygtk2.0-devel
#---------------------------------------------
Requires:       python
Requires:       python-lxml
Requires:	python-dbus
Requires:       gstreamer0.10-python
Requires:	gstreamer0.10-soup
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-bad
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-gnomevfs
Requires:	gstreamer0.10-faad
Requires:	gstreamer0.10-mms
Requires:       pygtk2.0
Requires:	pygtk2.0-libglade
Requires:       python-gobject
Requires:       python-notify
Requires:	pyxdg
Requires:	python >= 2.7
BuildArch:      noarch
Obsoletes: 	%name < %version

%description
Radio Tray is an online radio streaming player that runs on
a Linux system tray. Its goal is to have the minimum interface
possible, making it very straightforward to use. Radio Tray is
not a full featured music player, there are plenty of excellent
music players already. However, there was a need for a simple 
application with minimal interface just to listen to online 
radios. And that's the sole purpose of Radio Tray.

%description -l de
Radio-Tray ist ein Online-Radio-Streaming-Player, der im
Linux-System-Tray läuft. Sein Ziel ist es, eine möglichst kleine Schnittstelle 
zu haben, so dass es sehr einfach zu bedienen ist. Radio-Tray ist
kein voll ausgestatteter Musik-Player, es gibt bereits viele hervorragende
Musik-Playern. Es gab jedoch einen Bedarf an einer einfachen
Anwendung mit minimalem Interface, nur um Online
Radios zu hören. Und das ist der einzige Zweck von Radio-Tray.

%prep
%setup -q

sed -i -e '/^#!\//, 1d' src/radiotray.py

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install \
	-O1 \
	--skip-build \
	--root %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=0.2
Encoding=UTF-8
Name=Radio Tray
Comment=Streaming music player
Comment[de]=Musik-Player zum Abspielen von Streams
Exec=%{name}
Terminal=false
Icon=%{name}
Type=Application
Categories=AudioVideo;Audio;Player;GTK;X-MandrivaLinux-Multimedia-Sound;
X-Desktop-File-Install-Version=0.11
EOF

#icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 data/images/*.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
convert -resize 48 $RPM_BUILD_ROOT%{_datadir}/pixmaps/*.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/*.png

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%{_datadir}/radiotray/config.xml


rm -rf %{buildroot}%{_docdir}


%clean
rm -rf %{buildroot}


%post
%update_menus


%postun
%clean_menus

%files
%defattr(-,root,root,-)
%doc README AUTHORS NEWS CONTRIBUTORS
%{_bindir}/radiotray
%{_datadir}/radiotray/
%{_datadir}/applications/radiotray.desktop
%{_datadir}/pixmaps/radiotray.png
%{python_sitelib}/radiotray/
%{python_sitelib}/radiotray-%{version}-py%{pyver}.egg-info
%{_datadir}/locale
%{_datadir}/pixmaps


%changelog
* Fri Aug 16 2013 billybot <billybot> 0.7.3-2pclos2013
- update python 2.7

* Wed Jul 03 2013 Texstar <texstar at gmail.com> 0.7.3-1pclos2013
- 0.7.3
- add modified default config.xml to see if it will prevent 100 volume
- when starting radiotray for the first time

* Tue Feb 28 2012 Neal <nealbrks0 at gmail dot com> 0.7.2-1pclos2012
- process

* Tue Feb 28 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.7.2-1pclos2012
- 0.7.2
- added german summary, description and comment

* Tue Dec 27 2011 Texstar <texstar at gmail.com> 0.7.1-1pclos2011
- 0.7.1

* Wed Nov 09 2011 Texstar <texstar at gmail.com> 0.6.4-2pclos2011
- rebuild for 64bit

* Wed Sep 28 2011 Texstar <texstar at gmail.com> 0.6.4-1pclos2011
- 0.6.4

* Sun Mar 06 2011 Texstar <texstar at gmail.com> 0.6.3-2pclos2011
- add missing dependency gstreamer0.10-soup

* Tue Feb 15 2011 Texstar <texstar at gmail.com> 0.6.3-1pclos2011
- 0.6.3

* Mon Jan 31 2011 Texstar <texstar at gmail.com> 0.6.1-2pclos2011
- add missing deps

* Sat Dec 11 2010 Texstar <texstar at gmail.com> 0.6.1-1pclos2010
- 0.6.1

* Thu Dec 02 2010 Texstar <texstar at gmail.com> 0.6-2pclos2010
- add missing depdendency pyxdg
- convert source to tar.xz

* Mon Sep 13 2010 Texstar <texstar at gmail.com> 0.6-1pclos2010
- 0.6 and fix specfile

* Fri Jun 04 2010 travisn000 <travisn000 at gmail> 0.5-2pclos2010
- 0.5.1
- fixed pynotify dependency (python-notify, not python-pyinotify)
- updated spec to match new source tar file structure

* Thu Mar 25 2010 slick50 <lxgator@gmail.com> 0.5-1pclos2010
- 0.5

* Wed Feb 17 2010 slick50 <lxgator@gmail.com> 0.4-1pclos2010
- 0.4

* Tue Feb 02 2010 slick50 <lxgator@gmail.com> 0.3-1pclos2010
- 0.3

* Sun Jan 17 2010 slick50 <lxgator@gmail.com> 0.2-1pclos2010
- initial build
